APS Installer

Discussion in 'Installation/Configuration' started by Arachnid, Aug 24, 2020.

  1. Arachnid

    Arachnid New Member

    Just started out on a new webserver and giving ISPConfig a try as control panel. One of the features i would like to add to my customers is the APS Installer. As i understand this is like a one-click-installer so that a user without any server knowledge can install something as simple as wordpress.

    On a new install, using the Perfect install guide for ubuntu 18.04 (and running 18.04 LTS), the APS installer option is not showing under sites. Can anyone help me with the proper steps to get this working?

    Thanx in advance,
    John
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    APS installer is dead, that's why it got removed. the APS installer has got its packages from apscatalog.com but apscatalog stopped providing packages in 2019.
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    Btw, you can still enable it back in the current version, but it makes not much sense without having any recent packages to install them via aps.
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Btw. there is an alternative app installer for ispconfig available from softaculous.com.
     
  5. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    As Till said, it is removed. But not in the current stable version. Did you install the git-stable version? If so, this is not recommended for production systems.
     
  6. nhybgtvfr

    nhybgtvfr Active Member

    also the softaculous option is only for single-server ispconfig setups.
    they don't currently support a multi-server configuration.
     
    Th0m likes this.
  7. ffrcaraballo

    ffrcaraballo New Member

  8. till

    till Super Moderator Staff Member ISPConfig Developer

    You have 3.1dev installed and not the stable version, which is 3.1.15p3. But it does not matter in this case, the only difference would be that you would have an APS installer menu point without being able to install any current CMS as there are no packages from apscatalog.com anymore.
     
    Th0m likes this.
  9. ffrcaraballo

    ffrcaraballo New Member

    If I install the stable version (3.1.15p3) will I have APS Installer?
     
  10. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    As Till said, it would be useless because APS is dead and you can't get the up to date packages anymore.
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes. But you will probably get only some old packages from apscatalog.com or no packages at all anymore and installing old versions of cms systems is not recommended for security reasons.
     
  12. ffrcaraballo

    ffrcaraballo New Member

    So to install any package such as WordPress from now on you have to do it manually
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    See post #4.

    Besides that, we plan to develop a new app installer that does not depend on APS, but this will take some time.
     
    Farsus likes this.
  14. ffrcaraballo

    ffrcaraballo New Member

    Thank you! i will wait
     
  15. BenM

    BenM Member

    All,

    I understand the APS installer has come to an end. Unfortunately, our customers often use this installer. For that reason I enabled the APS installer again via the config, but the installer gives an error message if I want to install a package.

    28.10.2020 - 19:02 - WARNING - PHP Warning: mysqli_connect (): (HY000 / 1045): Access denied for user 'xxxxx' @ 'localhost' (using password: YES) in / var / www / clients / client697 / webxxx / web / install_scripts / db-util.php on line 53 Unable to connect to DB: Access denied for user 'xxxx' @ 'localhost' (using password: YES)

    Given that this error occurs on multiple servers, it will be related to the latest update of ISPCONFIG.
    Until a new installer is available I would like to use the old one. How can the above problem be solved?

    the xxx is for masking

    Thanks in advance.
    Ben
     

Share This Page